Bug 173984 - nscd crashes during normal operation
nscd crashes during normal operation
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 08:17 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 10:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-11-23 08:17:51 EST
glibc-2.3.4-2.13

(gdb) run -d
Starting program: /usr/sbin/nscd -d
[Thread debugging using libthread_db enabled]
[New Thread 182903175936 (LWP 12940)]
[New Thread 1075841376 (LWP 12941)]
[New Thread 1077942624 (LWP 12942)]
[New Thread 1080043872 (LWP 12943)]
[New Thread 1082145120 (LWP 12944)]
[New Thread 1084246368 (LWP 12945)]
[New Thread 1086347616 (LWP 12946)]

12940: Reloading "505" in password cache!
12940: no more memory for database 'passwd'
12940: Reloading "27" in password cache!
12940: Reloading "cory" in password cache!
(line shown plenty of times)
12940: Reloading "eli" in password cache!
(line shown plenty of times)
12940: Reloading "vturner" in password cache!
12940: Reloading "eli" in password cache!

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1075841376 (LWP 12941)]
0x0000002a95c4bd00 in strlen () from /lib64/tls/libc.so.6 
(gdb) bt
#0  0x0000002a95c4bd00 in strlen () from /lib64/tls/libc.so.6
#1  0x0000002a95c1e8cc in _IO_vfprintf (s=0x401feca0, format=Variable "format"
is not available.
) at vfprintf.c:1535
#2  0x0000002a95c3dd84 in _IO_vsnprintf (string=0x401fee00 "Reloading \"\230*",
maxlen=512,  
   format=0x552aabdc58 "Reloading \"%s\" in password cache!", args=0x401ff200)
at vsnprintf.c:120
#3  0x000000552aab57b0 in dbg_log (fmt=Variable "fmt" is not available.
) at dbg_log.c:60
#4  0x000000552aab333d in addpwbyX (db=0x552abc10a0, fd=-1, req=0x401ff7e0,
key={v = 0x2b4418764d, u = 1142453837},  
   keystr=0x2b4418764d <Address 0x2b4418764d out of bounds>, c_uid=4294967295,
he=0x2a995109f8, dh=0x2a99510988) at pwdcache.c:411
#5  0x000000552aab33e1 in readdpwbyname (db=Variable "db" is not available.
) at pwdcache.c:489
#6  0x000000552aab715f in prune_cache (table=0x552abc10a0, now=1132670936) at
cache.c:285
#7  0x000000552aab073e in nscd_run (p=Variable "p" is not available.
) at connections.c:1184
#8  0x0000002a9578c0aa in start_thread (arg=Variable "arg" is not available.
) at pthread_create.c:261
#9  0x0000002a95ca1b43 in clone () from /lib64/tls/libc.so.6
#10 0x0000000000000000 in ?? ()
Comment 5 Bob Johnson 2006-04-11 12:59:00 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 7 Bastien Nocera 2006-05-09 10:28:05 EDT
No news on the debug information. I guess the problem got fixed after upgrading
nscd. Sorry about the bother.

Note You need to log in before you can comment on or make changes to this bug.